$(document).on('click', '#netgsm-sms', function(){
    if($("input[name='selected[]']:checked").length === 0){
        swal('Mesaj göndermek için müşteri seçmelisiniz.');
        return;
    }
    $btn = $('#netgsm-sms');
    var variables="";
    var mark='<mark onclick="varfill2(this.innerHTML);">';
    if($btn.attr('data-smstype')==1)
        variables = mark+'[uye_adi]</mark> '+mark+'[uye_soyadi]</mark> '+mark+'[uye_telefonu]</mark> '+mark+'[uye_epostasi]</mark>';
    else if($btn.attr('data-smstype')==2)
        variables = mark+'[sipariş_no]</mark> '+mark+'[müşteri]</mark> '+mark+'[kargo]</mark> '+mark+'[toplam]</mark> '+mark+'[siparişdurumu]</mark>';
    swal({
        title: "Mesaj",
        input : 'textarea',
        inputPlaceholder:'Mesaj İçeriğini buraya giriniz.',
        confirmButtonText : 'Gönder',
        cancelButtonText : 'İptal',
        confirmButtonColor : '#2ECC71',
        cancelButtonColor : '#E74C3C',
        showCancelButton : true,
        showLoaderOnConfirm: true,
        footer:  '<i class="fa fa-angle-double-right"></i> Kullanabileceğiniz Değişkenler : <br>' + variables,
        preConfirm: function (text) {
            return new Promise(function (resolve, reject) {
                if(text){
                    var message = text;
                    var checkboxes = document.getElementsByName('selected[]');
                    var phones = "";
                    var orders = "";
                    for (var i=0, n=checkboxes.length;i<n;i++)
                    {
                        if (checkboxes[i].checked)
                        {
                            var orderid = checkboxes[i].value;
                            phones += document.getElementById('td['+orderid+']').innerHTML+",";
                            orders += orderid + ",";
                            //console.log(orderid);
                        }
                    }
                    //if (phones) phones = phones.substring(1);
                    $.ajax({
                        url: 'index.php?route=extension/module/netgsm/SMSgonder&user_token='+$btn.attr('data-token'),
                        type: 'post',
                        data: {'message':message, 'phone': phones, 'orders':orders, 'smstype': $btn.attr('data-smstype')},
                        dataType: 'json',
                        success: function(json) {
                            if (json['result']=='success') {
                                //resolve();
                                swal({
                                    title: "BAŞARILI!",
                                    text: json['resultmsg'],
                                    type: json["result"],
                                });
                            }
                            else
                            {
                                swal({
                                    title: "HATA!",
                                    text:  json['resultmsg'],
                                    type: json["result"],
                                });
                            }
                        }
                    });
                }else{
                    swal({
                        title: "Mesaj içeriğini boş bıraktınız.",
                        text: "Lütfen sms göndermek için birşeyler yazın.",
                        type: 'error',
                    });
                }
            })
        }
    })
});

function yaz(text) {
    $('.swal2-textarea').val($('.swal2-textarea').val()+text);
}


function varfill(input, degisken) {
    var textarea = document.getElementById(input);
    var start = textarea.selectionStart;
    var end = textarea.selectionEnd;
    var sel = textarea.value.substring(start, end);
    var finText = textarea.value.substring(0, start) + '[' + degisken + ']' + textarea.value.substring(end);
    textarea.value = finText;
    textarea.focus();
    textarea.selectionEnd= end + (degisken.length+2);
}


function varfill2(degisken) {
    var textarea = document.getElementsByClassName('swal2-textarea')[0];
    var start = textarea.selectionStart;
    var end = textarea.selectionEnd;
    var finText = textarea.value.substring(0, start) + degisken + textarea.value.substring(end);
    textarea.value = finText;
    textarea.focus();
    textarea.selectionEnd= end + (degisken.length);
}
